:root {
    --card-radius: 100px;
   /* 
    --Z_BRD-light-green: #D3E660;
    */
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

/* Custom */
body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: #f4f7f6;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
}

.content-wrapper {
    flex: 1;
}

/* Custom Navbar */
.navbar-custom {
    /*background-color: rgba(20, 20, 20, 0.95);*/ /* Dunkles Design */
    background-color: var(--bs-brand-primary);
    backdrop-filter: blur(10px); /* Moderner Glass-Effekt */
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    padding: 0.5rem 1rem;
}

/* Icon-Abstand optimieren */
.nav-link i, .dropdown-item i {
    margin-right: 8px;
}

.nav-link {
    transition: all 0.3s ease;
    padding: 0.5rem 1rem !important;
    border-radius: 8px;
    font-weight: 500;
}

    .nav-link:hover {
        background-color: rgba(255, 255, 255, 0.1);
        color: var(--bs-brand-secondary) !important; /* Akzentfarbe beim Hover */
    }

.dropdown-menu {
    background-color: var(--bs-brand-primary);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 12px;
    margin-top: 10px;
}

.dropdown-item {
    color: #ffffff;
    padding: 0.6rem 1.2rem;
    transition: 0.2s;
}

    .dropdown-item:hover {
        background-color: rgba(255, 255, 255, 0.1) !important;
        color: #fff !important;
    }

    .dropdown-item i {
        margin-right: 10px;
        width: 20px;
        text-align: center;
        color: var(--bs-brand-secondary); /* Akzentfarbe für Icons */
    }

.navbar-brand strong {
    letter-spacing: 1px;
}


footer {
    background-color: #ffffff;
    border-top: 1px solid #dee2e6;
    padding: 1rem 0;
    font-size: 0.85rem;
    color: #6c757d;
}
/* Hover-Effekt für die Menüpunkte */
.dropdown-item:hover {
    background-color: #e9ecef;
    color: #0d6efd;
}


/* Card Styling + Eingabehervorhebung*/
.card-custom {
    border: none;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.03);
    height: 100%;
}

.card-header {
    background: var(--bs-brand-primary-light) !important;
    border-bottom: 1px solid #f1f5f9;
    padding: 1rem;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    color: #010101 !important;
}

.bg-section {
    background-color: var(--bs-light);
    border-radius: 8px;
    padding: 10px;
    border: 1px solid var(--bs-primary-bg-subtle)
}


.col-form-label-sm {
    font-weight: 500;
    color: #495057;
}

.required-label::after {
    content: " *";
    color: #dc3545;
}

/* Fokus-Hervorhebung für schnelles Arbeiten */
 .form-control:focus, .form-select:focus {
    background-color: #c8e2f63f /* Sanftes Gelb */
}




/* Label-Ausrichtung optimieren */
.col-form-label-sm {
    font-weight: 500;
    color: #495057;
}

.form-check-input:checked {
    background-color: #39a03b;
    border-color: #495057;
}
/* Ende Card Styling */


.quickgrid th {
    background-color: var(--bs-brand-primary-light);
    font-weight: 600;
    text-transform: uppercase;
    font-size: 0.95rem;
    letter-spacing: 0.05em;
    padding: 1rem 0.75rem;
    border-bottom: 2px solid #dee2e6;
}
    .quickgrid th button {
        background-color: var(--bs-primary-bg-subtle);
    }
    .quickgrid .btn-sm {
        font-size: 0.8rem;
    }
    .quickgrid .historie {
        max-width: 40px;
    }

.quickgrid tbody tr:empty, .quickgrid tbody tr:not(:has(td:not(:empty))) {
    display: none;
}

.quickgrid-small th {
    padding: 0;
}

.quickgrid-small .col-title-text {
    
    font-size: small;
}




.quickgrid-small td {
    font-size: 0.75rem;
    color: #262626;
}

.paginator .summary{padding-left:1rem;}